/**
 * @file osw_assert.c
 *
 * Copyright (c)  2003 - 2015  Nomura Kei
 * License : The MIT License <http://opensource.org/licenses/mit-license.php>
 */
#include <stdio.h>
#include <osw_base.h>
#include <osw_assert.h>


/**
 * @param file       ソースファイル名
 * @param line       ソース行番号
 * @param expression 偽となった演算式
 */
void osw_assert_exec(const char* file, int line, const char* expression)
{
	osw_trace();
	fprintf(stderr, "%s:%d assert error (exp = %s)\n", file, line, expression);
}

